Subject: Re: Merging ppc32 and ppc64

From: Olof Johansson <[email-masked]>
Date: Tue, 9 Aug 2005 09:52:59 -0500

On Tue, Aug 09, 2005 at 03:09:02PM +0200, Segher Boessenkool wrote:
> _Please_ don't throw the real device tree away; I'm happy with
> the flattened device tree if and only if it is a _minimum_
> requirement, and having a _real_ device tree (or even real
> Open Firmware support) is still an option.

We already do that. prom_init.c will walk the OF device tree and build a
flattened one before booting the kernel.

-Olof